program Script;

function DetectMod: string;
var strValue: string;
	nIndex: Integer;
	nLen: Integer;
begin
	Result := 'AVP2';
	nIndex := 0;
	//try
		strValue := SERVER_GetProp('gamever', nIndex);
		nLen := Length(strValue);
		if strValue <> '' then
			begin
			if strValue = '1.1' then
			begin
				Result := 'Team Fortress';
				exit;
			end;
			if strValue = '1.0.2.2' then
			begin
				Result := 'Primal Hunt';
				exit;
			end;
			if (nLen > 3) and (strValue[1] = 'P') and (strValue[2] = 'B') and (strValue[3] = 'T') then 
			begin
				Result := 'Payback Time';
				exit;
			end;
			if strValue = 'AJL R2.0' then
			begin
				strValue := SERVER_GetProp('gamemode', nIndex);
				if strValue = 'openplaying' then
				begin
					Result := 'AJLMod R2';
					exit;
				end;
				if (strValue[1] = 'L') and (strValue[2] = 'A') and (strValue[3] = 'B') then
				begin
					Result := 'AJLMod L.A.B.';
					exit;			
				end;
			end;
			if (nLen > 5) and (strValue[1] = 'A') and (strValue[2] = 'J') and (strValue[3] = 'L') and (strValue[4] = ' ') and (strValue[5] = '3') then
			begin
				Result := 'AJLMod R3';
				exit;		
			end;	
		end;
	//finally
	
	//end;
end;

function GetRace(strMod: string; nRace: Integer): string;
begin
	Result := 'Unknown';
	g_nScriptOut := nRace + 1;
	if (nRace < 0) or (nRace > 3) then 
	begin
		g_nScriptOut := 0;
		nRace := 4;
	end;
	if strMod = 'Payback Time' then
	begin
		case nRace of
			0: 
				begin 
					Result := 'Alien'; 
				end;
			1:
				begin
					Result := 'USCM & Merc'; 
				end;
			2: 
				begin
					Result := 'Predator'; 
				end;
		end;
	end
	else if strMod = 'AJLMod L.A.B.' then
	begin
		case nRace of
			0: 
				begin 
					Result := 'Alien';
				end;
			2: 
				begin 
					Result := 'Predator';
				end;
			3: 
				begin 
					Result := 'USCM & Merc';
				end;
		end;	
	end
	else if strMod = 'Team Fortress' then
	begin
		case nRace of
			0: 
				begin
					g_nScriptOut := 2;
					Result := 'Blue';
				end;
			1: 
				begin 
					g_nScriptOut := 1;
					Result := 'Red';
				end;
		end;	
	end
	else
	begin
		case nRace of
			0: 
				begin 
					Result := 'Alien';
				end;
			1: 
				begin 
					Result := 'Marine';
				end;
			2: 
				begin 
					Result := 'Predator';
				end;
			3: 
				begin 
					Result := 'Corporate';
				end;
		end;	
	end;
end;

function GetPCC_Columns(strMod: string): string;
begin
	if strMod = 'Payback Time' then
	begin		
		Result := 'Player|1|50|Ping|0|50|Race|0|105';
	end
	else if (Pos('AJL', strMod) > 0) or (strMod = 'Team Fortress') then
	begin
		Result := 'Player|1|50|Ping|0|50|Race|0|85';	
	end
	else
	begin
		Result := 'Player|1|50|Ping|0|50|Race|0|85|Score|0|50';
	end;
end;

function GetPCC_Props(strMod: string): string;
begin
	if strMod = 'Payback Time' then
	begin
		g_nScriptOut := 2;
		Result := 'player_%d|ping_%d|race_%d';	
	end
	else if (Pos('AJL', strMod) > 0) or (strMod = 'Team Fortress') then
	begin
		g_nScriptOut := 2;
		Result := 'player_%d|ping_%d|race_%d';	
	end
	else
	begin
		g_nScriptOut := 2;
		Result := 'player_%d|ping_%d|race_%d|score_%d';
	end;
end;

function UpdateLocalData: string;
begin
	g_bMSProxy := True;
	g_strMSProxyAddress := 'http://avp2ccl.a96112k3.beget.tech/launcher_0031/msproxy.php';
	//g_strMSAddress := 'master.avp2.us:28900'; 
	g_strMSAddress := 'master.avp2msp.com:28900';
	g_strMSPost := '001';
	g_strOnlineChat := 'http://avp2ccl.a96112k3.beget.tech/lchat/app.php';
	//g_strWebChat := 'https://kiwiirc.com/client/irc.avp2.us:6666/?nick=%s#avp2';
	g_strWebChat := 'about:blank';
end;

procedure SetChatNickname;
begin
	//CHAT_ExecuteJS('alert("SetChatNickname");');
end;

procedure ChatLogin;
begin
	//CHAT_ExecuteJS('alert("ChatLogin");');
end;

begin

end.